# LoginService
> 认证相关服务

---

## findEnabledLogin
> 查找认证

- 角色：`admin`
- HTTP：`POST https://backend.dooki.cloud/LoginService/findEnabledLogin`
- RPC：`rpc findEnabledLogin (FindEnabledLoginRequest) returns (FindEnabledLoginResponse);`

**请求对象 (`FindEnabledLoginRequest`)**

```json
{
  "adminId": "int64 // 管理员ID",
  "userId": "int64 // 用户ID",
  "type": "string"
}
```

**响应对象 (`FindEnabledLoginResponse`)**

```json
{
  "login": "Login"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/LoginService/findEnabledLogin" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## updateLogin
> 修改认证

- 角色：`admin`
- HTTP：`POST https://backend.dooki.cloud/LoginService/updateLogin`
- RPC：`rpc updateLogin (UpdateLoginRequest) returns (RPCSuccess);`

**请求对象 (`UpdateLoginRequest`)**

```json
{
  "login": "Login"
}
```

**响应对象 (`RPCSuccess`)**

```json
{}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/LoginService/updateLogin" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---
